import { Component, OnInit, Input } from '@angular/core';

import { BlockComponent, ParticipantBlock } from '@cc/shared/block';

@Component({
    selector: '@module.scope.string@-participant-cp',
    templateUrl: './participant.component.html',
})
export class @module.class.name@Component implements BlockComponent, OnInit {
    @Input() readonly block: ParticipantBlock; // it should be an extension of ParticipantBlock

    constructor() {
        // constructor
    }

    ngOnInit(): void {
        console.log('init');
    }
}
